> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a credential



## OpenAPI

````yaml https://platform.ankra.app/openapi.json delete /api/v1/org/credentials/{credential_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/credentials/{credential_id}:
    delete:
      tags:
        - Credentials API
      summary: Delete a credential
      operationId: delete_credential_endpoint_api_v1_org_credentials__credential_id__delete
      parameters:
        - in: path
          name: credential_id
          required: true
          schema:
            format: uuid4
            title: Credential Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteCredentialResult'
          description: Credential deleted successfully
        '401':
          description: Unauthorized
        '404':
          description: Credential not found
        '409':
          description: Credential has blocking dependencies
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '500':
          description: Failed to delete credential
components:
  schemas:
    DeleteCredentialResult:
      properties:
        id:
          format: uuid
          title: Id
          type: string
      required:
        - id
      title: DeleteCredentialResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````